commit:     4edd7498d17a82aa77810f74d955a2bddddfed83
Author:     stefson <herrtimson <AT> yahoo <DOT> de>
AuthorDate: Sat Aug 18 06:28:09 2018 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Sat Aug 18 09:51:20 2018 +0000
URL:        https://gitweb.gentoo.org/proj/musl.git/commit/?id=4edd7498

net-libs/webkit-gtk: sync with tree

 net-libs/webkit-gtk/Manifest                       |  2 +-
 .../webkit-gtk/files/webkit-gtk-2.18.1-musl.patch  | 84 +++++++++++-----------
 .../files/webkit-gtk-2.8.5-fix-alpha-build.patch   | 22 ------
 .../files/webkit-gtk-2.8.5-fix-ia64-build.patch    | 21 ------
 ...-gtk-2.18.6.ebuild => webkit-gtk-2.20.4.ebuild} | 65 +++++++----------
 5 files changed, 68 insertions(+), 126 deletions(-)

diff --git a/net-libs/webkit-gtk/Manifest b/net-libs/webkit-gtk/Manifest
index 06548c5..263e59d 100644
--- a/net-libs/webkit-gtk/Manifest
+++ b/net-libs/webkit-gtk/Manifest
@@ -1 +1 @@
-DIST webkitgtk-2.18.6.tar.xz 14829316 BLAKE2B 
4c0140c17d513f064efe09aaefff434e3cbf2a88691c7916ed393bf9bd25a3cb5a1d4ea8699eb7e0d678d807293b66c4629e46df9088df9b4d122c554b280ead
 SHA512 
375907d4c84e27aaa4b5df9a71424488c1b2ba0cf1d63e107d678c0f55f677996a80e9d9a9d4a412b40d1d0dde77b88464c54246cbafe70751042ec8a7bbe029
+DIST webkitgtk-2.20.4.tar.xz 16625400 BLAKE2B 
e2a07bbf38f059424738c69ecab7a1eee205cede2bbed4dedd0899e3d38c4b0b6b8f4fc52f5af6d65c0a0c8111c6c73d8765e55452a89022c476e90fb2ff8275
 SHA512 
3e6a370823d9a3521862fea0e7ae9f2455101afee247fda7b6d23ea609a0d1db3aeb86c41f903a89776550c190a2cf0baa903883671eca7222249849adc49090

diff --git a/net-libs/webkit-gtk/files/webkit-gtk-2.18.1-musl.patch 
b/net-libs/webkit-gtk/files/webkit-gtk-2.18.1-musl.patch
index d46dd47..8ce2d14 100644
--- a/net-libs/webkit-gtk/files/webkit-gtk-2.18.1-musl.patch
+++ b/net-libs/webkit-gtk/files/webkit-gtk-2.18.1-musl.patch
@@ -1,55 +1,54 @@
-diff -Naur 
webkitgtk-2.18.1.orig/Source/JavaScriptCore/runtime/MachineContext.h 
webkitgtk-2.18.1/Source/JavaScriptCore/runtime/MachineContext.h
---- webkitgtk-2.18.1.orig/Source/JavaScriptCore/runtime/MachineContext.h       
2017-08-09 02:13:46.000000000 -0700
-+++ webkitgtk-2.18.1/Source/JavaScriptCore/runtime/MachineContext.h    
2017-10-23 13:37:19.427607525 -0700
-@@ -146,7 +146,7 @@
+--- a/Source/JavaScriptCore/runtime/MachineContext.h
++++ b/Source/JavaScriptCore/runtime/MachineContext.h
+@@ -146,7 +146,7 @@ inline void*& stackPointer(mcontext_t& machineContext)
  #error Unknown Architecture
  #endif
  
--#elif defined(__GLIBC__)
-+#elif OS(LINUX)
+-#elif defined(__GLIBC__) || defined(__BIONIC__)
++#elif defined(__linux__)
  
  #if CPU(X86)
      return reinterpret_cast<void*&>((uintptr_t&) 
machineContext.gregs[REG_ESP]);
-@@ -251,7 +251,7 @@
+@@ -251,7 +251,7 @@ inline void*& framePointer(mcontext_t& machineContext)
  #error Unknown Architecture
  #endif
  
--#elif defined(__GLIBC__)
-+#elif OS(LINUX)
+-#elif defined(__GLIBC__) || defined(__BIONIC__)
++#elif defined(__linux__)
  
  // The following sequence depends on glibc's sys/ucontext.h.
  #if CPU(X86)
-@@ -354,7 +354,7 @@
+@@ -354,7 +354,7 @@ inline void*& instructionPointer(mcontext_t& 
machineContext)
  #error Unknown Architecture
  #endif
  
--#elif defined(__GLIBC__)
-+#elif OS(LINUX)
+-#elif defined(__GLIBC__) || defined(__BIONIC__)
++#elif defined(__linux__)
  
  // The following sequence depends on glibc's sys/ucontext.h.
  #if CPU(X86)
-@@ -466,7 +466,7 @@
+@@ -466,7 +466,7 @@ inline void*& argumentPointer<1>(mcontext_t& 
machineContext)
  #error Unknown Architecture
  #endif
  
--#elif defined(__GLIBC__)
-+#elif OS(LINUX)
+-#elif defined(__GLIBC__) || defined(__BIONIC__)
++#elif defined(__linux__)
  
  // The following sequence depends on glibc's sys/ucontext.h.
  #if CPU(X86)
-@@ -583,7 +583,7 @@
+@@ -583,7 +583,7 @@ inline void*& llintInstructionPointer(mcontext_t& 
machineContext)
  #error Unknown Architecture
  #endif
  
--#elif defined(__GLIBC__)
-+#elif OS(LINUX)
+-#elif defined(__GLIBC__) || defined(__BIONIC__)
++#elif defined(__linux__)
  
  // The following sequence depends on glibc's sys/ucontext.h.
  #if CPU(X86)
-diff -Naur webkitgtk-2.18.1.orig/Source/JavaScriptCore/runtime/Options.h 
webkitgtk-2.18.1/Source/JavaScriptCore/runtime/Options.h
---- webkitgtk-2.18.1.orig/Source/JavaScriptCore/runtime/Options.h      
2017-08-13 23:05:57.000000000 -0700
-+++ webkitgtk-2.18.1/Source/JavaScriptCore/runtime/Options.h   2017-10-23 
13:37:19.428607525 -0700
-@@ -120,9 +120,9 @@
+ 
+--- a/Source/JavaScriptCore/runtime/Options.h
++++ b/Source/JavaScriptCore/runtime/Options.h
+@@ -126,9 +126,9 @@
      \
      v(bool, reportMustSucceedExecutableAllocations, false, Normal, nullptr) \
      \
@@ -62,10 +61,10 @@ diff -Naur 
webkitgtk-2.18.1.orig/Source/JavaScriptCore/runtime/Options.h webkitg
      \
      v(bool, crashIfCantAllocateJITMemory, false, Normal, nullptr) \
      v(unsigned, jitMemoryReservationSize, 0, Normal, "Set this number to 
change the executable allocation size in ExecutableAllocatorFixedVMPool. (In 
bytes.)") \
-diff -Naur 
webkitgtk-2.18.1.orig/Source/ThirdParty/ANGLE/src/compiler/preprocessor/ExpressionParser.cpp
 
webkitgtk-2.18.1/Source/ThirdParty/ANGLE/src/compiler/preprocessor/ExpressionParser.cpp
---- 
webkitgtk-2.18.1.orig/Source/ThirdParty/ANGLE/src/compiler/preprocessor/ExpressionParser.cpp
       2017-08-09 02:13:47.000000000 -0700
-+++ 
webkitgtk-2.18.1/Source/ThirdParty/ANGLE/src/compiler/preprocessor/ExpressionParser.cpp
    2017-10-23 13:46:31.956597630 -0700
-@@ -839,7 +839,7 @@
+
+--- a/Source/ThirdParty/ANGLE/src/compiler/preprocessor/ExpressionParser.cpp
++++ b/Source/ThirdParty/ANGLE/src/compiler/preprocessor/ExpressionParser.cpp
+@@ -836,7 +836,7 @@
  #if YYERROR_VERBOSE
  
  # ifndef yystrlen
@@ -74,7 +73,7 @@ diff -Naur 
webkitgtk-2.18.1.orig/Source/ThirdParty/ANGLE/src/compiler/preprocess
  #   define yystrlen strlen
  #  else
  /* Return the length of YYSTR.  */
-@@ -855,7 +855,7 @@
+@@ -852,7 +852,7 @@
  # endif
  
  # ifndef yystpcpy
@@ -83,10 +82,10 @@ diff -Naur 
webkitgtk-2.18.1.orig/Source/ThirdParty/ANGLE/src/compiler/preprocess
  #   define yystpcpy stpcpy
  #  else
  /* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
-diff -Naur 
webkitgtk-2.18.1.orig/Source/ThirdParty/ANGLE/src/compiler/translator/glslang_tab.cpp
 
webkitgtk-2.18.1/Source/ThirdParty/ANGLE/src/compiler/translator/glslang_tab.cpp
---- 
webkitgtk-2.18.1.orig/Source/ThirdParty/ANGLE/src/compiler/translator/glslang_tab.cpp
      2017-08-09 02:13:47.000000000 -0700
-+++ 
webkitgtk-2.18.1/Source/ThirdParty/ANGLE/src/compiler/translator/glslang_tab.cpp
   2017-10-23 13:46:13.605597959 -0700
-@@ -1994,7 +1994,7 @@
+
+--- a/Source/ThirdParty/ANGLE/src/compiler/translator/glslang_tab.cpp
++++ b/Source/ThirdParty/ANGLE/src/compiler/translator/glslang_tab.cpp
+@@ -1975,7 +1975,7 @@
  #if YYERROR_VERBOSE
  
  # ifndef yystrlen
@@ -95,7 +94,7 @@ diff -Naur 
webkitgtk-2.18.1.orig/Source/ThirdParty/ANGLE/src/compiler/translator
  #   define yystrlen strlen
  #  else
  /* Return the length of YYSTR.  */
-@@ -2010,7 +2010,7 @@
+@@ -1991,7 +1991,7 @@
  # endif
  
  # ifndef yystpcpy
@@ -104,21 +103,20 @@ diff -Naur 
webkitgtk-2.18.1.orig/Source/ThirdParty/ANGLE/src/compiler/translator
  #   define yystpcpy stpcpy
  #  else
  /* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
-diff -Naur webkitgtk-2.18.1.orig/Source/WTF/wtf/Platform.h 
webkitgtk-2.18.1/Source/WTF/wtf/Platform.h
---- webkitgtk-2.18.1.orig/Source/WTF/wtf/Platform.h    2017-10-16 
05:18:56.000000000 -0700
-+++ webkitgtk-2.18.1/Source/WTF/wtf/Platform.h 2017-10-23 13:44:27.882599852 
-0700
-@@ -676,7 +676,7 @@
+
+--- a/Source/WTF/wtf/Platform.h
++++ b/Source/WTF/wtf/Platform.h
+@@ -679,7 +679,7 @@
  #define HAVE_CFNETWORK_STORAGE_PARTITIONING 1
  #endif
  
--#if OS(DARWIN) || ((OS(FREEBSD) || defined(__GLIBC__)) && (CPU(X86) || 
CPU(X86_64) || CPU(ARM) || CPU(ARM64) || CPU(MIPS)))
-+#if OS(DARWIN) || ((OS(FREEBSD) || OS(LINUX)) && (CPU(X86) || CPU(X86_64) || 
CPU(ARM) || CPU(ARM64) || CPU(MIPS)))
+-#if OS(DARWIN) || ((OS(FREEBSD) || defined(__GLIBC__) || defined(__BIONIC__)) 
&& (CPU(X86) || CPU(X86_64) || CPU(ARM) || CPU(ARM64) || CPU(MIPS)))
++#if OS(DARWIN) || ((OS(FREEBSD) || defined(__linux__)) && (CPU(X86) || 
CPU(X86_64) || CPU(ARM) || CPU(ARM64) || CPU(MIPS)))
  #define HAVE_MACHINE_CONTEXT 1
  #endif
- 
-diff -Naur webkitgtk-2.18.1.orig/Source/WebCore/xml/XPathGrammar.cpp 
webkitgtk-2.18.1/Source/WebCore/xml/XPathGrammar.cpp
---- webkitgtk-2.18.1.orig/Source/WebCore/xml/XPathGrammar.cpp  2017-08-09 
02:13:52.000000000 -0700
-+++ webkitgtk-2.18.1/Source/WebCore/xml/XPathGrammar.cpp       2017-10-23 
13:43:16.467601131 -0700
+
+--- a/Source/WebCore/xml/XPathGrammar.cpp
++++ b/Source/WebCore/xml/XPathGrammar.cpp
 @@ -967,7 +967,7 @@
  #if YYERROR_VERBOSE
  
@@ -136,4 +134,4 @@ diff -Naur 
webkitgtk-2.18.1.orig/Source/WebCore/xml/XPathGrammar.cpp webkitgtk-2
 +#  if defined __linux__ && defined _STRING_H && defined _GNU_SOURCE
  #   define yystpcpy stpcpy
  #  else
- /* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
+ /* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in 

diff --git a/net-libs/webkit-gtk/files/webkit-gtk-2.8.5-fix-alpha-build.patch 
b/net-libs/webkit-gtk/files/webkit-gtk-2.8.5-fix-alpha-build.patch
deleted file mode 100644
index 3817bce..0000000
--- a/net-libs/webkit-gtk/files/webkit-gtk-2.8.5-fix-alpha-build.patch
+++ /dev/null
@@ -1,22 +0,0 @@
---- a/Source/JavaScriptCore/CMakeLists.txt.orig 2015-08-06 11:21:27.000000000 
+0300
-+++ b/Source/JavaScriptCore/CMakeLists.txt      2015-10-29 17:47:10.535712494 
+0300
-@@ -1146,6 +1146,7 @@
-         list(APPEND JavaScriptCore_SOURCES 
${DERIVED_SOURCES_DIR}/GeneratedJITStubs.obj)
-     endif ()
- elseif (WTF_CPU_ARM64)
-+elseif (WTF_CPU_ALPHA)
- elseif (WTF_CPU_HPPA)
- elseif (WTF_CPU_IA64)
- elseif (WTF_CPU_PPC)
- elseif (WTF_CPU_PPC64)
---- a/CMakeLists.txt.orig 2015-08-06 11:21:27.000000000 +0300
-+++ b/CMakeLists.txt      2015-10-29 01:23:37.416886279 +0300
-@@ -82,6 +82,8 @@
-     set(WTF_CPU_ARM 1)
- elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "^aarch64")
-     set(WTF_CPU_ARM64 1)
-+elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "alpha")
-+    set(WTF_CPU_ALPHA 1)
- elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "^mips")
-     set(WTF_CPU_MIPS 1)
- elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "sh4")

diff --git a/net-libs/webkit-gtk/files/webkit-gtk-2.8.5-fix-ia64-build.patch 
b/net-libs/webkit-gtk/files/webkit-gtk-2.8.5-fix-ia64-build.patch
deleted file mode 100644
index 6c88c49..0000000
--- a/net-libs/webkit-gtk/files/webkit-gtk-2.8.5-fix-ia64-build.patch
+++ /dev/null
@@ -1,21 +0,0 @@
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -98,6 +98,8 @@
-     set(WTF_CPU_PPC64LE 1)
- elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "parisc*")
-     set(WTF_CPU_HPPA 1)
-+elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "ia64")
-+    set(WTF_CPU_IA64 1)
- elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "s390")
-     set(WTF_CPU_S390 1)
- elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "s390x")
---- a/Source/JavaScriptCore/CMakeLists.txt
-+++ b/Source/JavaScriptCore/CMakeLists.txt
-@@ -1147,6 +1147,7 @@
-     endif ()
- elseif (WTF_CPU_ARM64)
- elseif (WTF_CPU_HPPA)
-+elseif (WTF_CPU_IA64)
- elseif (WTF_CPU_PPC)
- elseif (WTF_CPU_PPC64)
- elseif (WTF_CPU_PPC64LE)

diff --git a/net-libs/webkit-gtk/webkit-gtk-2.18.6.ebuild 
b/net-libs/webkit-gtk/webkit-gtk-2.20.4.ebuild
similarity index 84%
rename from net-libs/webkit-gtk/webkit-gtk-2.18.6.ebuild
rename to net-libs/webkit-gtk/webkit-gtk-2.20.4.ebuild
index 6a5cc7d..01d4acd 100644
--- a/net-libs/webkit-gtk/webkit-gtk-2.18.6.ebuild
+++ b/net-libs/webkit-gtk/webkit-gtk-2.20.4.ebuild
@@ -6,28 +6,27 @@ CMAKE_MAKEFILE_GENERATOR="ninja"
 PYTHON_COMPAT=( python2_7 )
 USE_RUBY="ruby23 ruby24 ruby25"
 
-inherit check-reqs cmake-utils eutils flag-o-matic gnome2 pax-utils 
python-any-r1 ruby-single toolchain-funcs versionator virtualx
+inherit check-reqs cmake-utils eutils flag-o-matic gnome2 pax-utils 
python-any-r1 ruby-single toolchain-funcs virtualx
 
 MY_P="webkitgtk-${PV}"
 DESCRIPTION="Open source web browser engine"
-HOMEPAGE="https://www.webkitgtk.org/";
+HOMEPAGE="https://www.webkitgtk.org";
 SRC_URI="https://www.webkitgtk.org/releases/${MY_P}.tar.xz";
 
 LICENSE="LGPL-2+ BSD"
 SLOT="4/37" # soname version of libwebkit2gtk-4.0
-KEYWORDS="amd64 ~arm ~arm64 ~ppc x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc x86 ~amd64-linux 
~x86-linux ~x86-macos"
 
 IUSE="aqua coverage doc +egl +geolocation gles2 gnome-keyring +gstreamer 
+introspection +jit libnotify nsplugin +opengl spell wayland +webgl +X"
 
 # webgl needs gstreamer, bug #560612
 REQUIRED_USE="
        geolocation? ( introspection )
-       gles2? ( egl )
+       gles2? ( egl !opengl )
        introspection? ( gstreamer )
        nsplugin? ( X )
-       webgl? ( ^^ ( gles2 opengl ) )
-       !webgl? ( ?? ( gles2 opengl ) )
-       webgl? ( gstreamer )
+       webgl? ( gstreamer
+               || ( gles2 opengl ) )
        wayland? ( egl )
        || ( aqua wayland X )
 "
@@ -41,7 +40,7 @@ RESTRICT="test"
 # Various compile-time optionals for gtk+-3.22.0 - ensure it
 # Missing OpenWebRTC checks and conditionals, but 
ENABLE_MEDIA_STREAM/ENABLE_WEB_RTC is experimental upstream (PRIVATE OFF)
 RDEPEND="
-       >=x11-libs/cairo-1.10.2:=
+       >=x11-libs/cairo-1.10.2:=[X?]
        >=media-libs/fontconfig-2.8.0:1.0
        >=media-libs/freetype-2.4.2:2
        >=dev-libs/libgcrypt-1.6.0:0=
@@ -59,6 +58,7 @@ RDEPEND="
 
        >=dev-libs/glib-2.40:2
        >=dev-libs/libxslt-1.1.7
+       media-libs/woff2
        gnome-keyring? ( app-crypt/libsecret )
        geolocation? ( >=app-misc/geoclue-2.1.5:2.0 )
        introspection? ( >=dev-libs/gobject-introspection-1.32.0:= )
@@ -69,10 +69,9 @@ RDEPEND="
        gstreamer? (
                >=media-libs/gstreamer-1.2.3:1.0
                >=media-libs/gst-plugins-base-1.2.3:1.0
-               >=media-libs/gst-plugins-bad-1.10:1.0[opengl?,egl?] )
+               >=media-libs/gst-plugins-bad-1.10:1.0[egl?,gles2?,opengl?] )
 
        X? (
-               x11-libs/cairo[X]
                x11-libs/libX11
                x11-libs/libXcomposite
                x11-libs/libXdamage
@@ -84,10 +83,8 @@ RDEPEND="
 
        egl? ( media-libs/mesa[egl] )
        gles2? ( media-libs/mesa[gles2] )
-       opengl? ( virtual/opengl
-               x11-libs/cairo[opengl] )
+       opengl? ( virtual/opengl )
        webgl? (
-               x11-libs/cairo[opengl]
                x11-libs/libXcomposite
                x11-libs/libXdamage )
 "
@@ -109,16 +106,16 @@ DEPEND="${RDEPEND}
        dev-lang/perl
        virtual/perl-Data-Dumper
        virtual/perl-Carp
+       virtual/perl-JSON-PP
 
        doc? ( >=dev-util/gtk-doc-1.10 )
        geolocation? ( dev-util/gdbus-codegen )
        introspection? ( jit? ( sys-apps/paxctl ) )
-       test? (
-               dev-lang/python:2.7
-               dev-python/pygobject:3[python_targets_python2_7]
-               x11-themes/hicolor-icon-theme
-               jit? ( sys-apps/paxctl ) )
 "
+#      test? (
+#              dev-python/pygobject:3[python_targets_python2_7]
+#              x11-themes/hicolor-icon-theme
+#              jit? ( sys-apps/paxctl ) )
 
 S="${WORKDIR}/${MY_P}"
 
@@ -150,8 +147,6 @@ pkg_setup() {
 }
 
 src_prepare() {
-       # https://bugs.gentoo.org/show_bug.cgi?id=555504
-       eapply "${FILESDIR}"/${PN}-2.8.5-fix-ia64-build.patch
        # musl and jit
        eapply "${FILESDIR}"/${PN}-2.18.1-musl.patch
        cmake-utils_src_prepare
@@ -192,17 +187,17 @@ src_configure() {
        # Multiple rendering bugs on youtube, github, etc without this, bug 
#547224
        append-flags $(test-flags -fno-strict-aliasing)
 
+       # Ruby situation is a bit complicated. See bug 513888
+       local rubyimpl
        local ruby_interpreter=""
-
-       if has_version "virtual/rubygems[ruby_targets_ruby25]"; then
-               ruby_interpreter="-DRUBY_EXECUTABLE=$(type -P ruby25)"
-       elif has_version "virtual/rubygems[ruby_targets_ruby24]"; then
-               ruby_interpreter="-DRUBY_EXECUTABLE=$(type -P ruby24)"
-       elif has_version "virtual/rubygems[ruby_targets_ruby23]"; then
-               ruby_interpreter="-DRUBY_EXECUTABLE=$(type -P ruby23)"
-       else
-               ruby_interpreter="-DRUBY_EXECUTABLE=$(type -P ruby21)"
-       fi
+       for rubyimpl in ${USE_RUBY}; do
+               if has_version "virtual/rubygems[ruby_targets_${rubyimpl}]"; 
then
+                       ruby_interpreter="-DRUBY_EXECUTABLE=$(type -P 
${rubyimpl})"
+               fi
+       done
+       # This will rarely occur. Only a couple of corner cases could lead us to
+       # that failure. See bug 513888
+       [[ -z $ruby_interpreter ]] && die "No suitable ruby interpreter found"
 
        # TODO: Check Web Audio support
        # should somehow let user select between them?
@@ -218,14 +213,6 @@ src_configure() {
                opengl_enabled=OFF
        fi
 
-       # support for webgl (aka 2d-canvas accelerating)
-       local canvas_enabled
-       if use webgl && ! use gles2 ; then
-               canvas_enabled=ON
-       else
-               canvas_enabled=OFF
-       fi
-
        local mycmakeargs=(
                -DENABLE_QUARTZ_TARGET=$(usex aqua)
                -DENABLE_API_TESTS=$(usex test)
@@ -239,6 +226,7 @@ src_configure() {
                -DENABLE_JIT=$(usex jit)
                -DUSE_LIBNOTIFY=$(usex libnotify)
                -DUSE_LIBSECRET=$(usex gnome-keyring)
+               -DUSE_WOFF2=ON
                -DENABLE_PLUGIN_PROCESS_GTK2=$(usex nsplugin)
                -DENABLE_SPELLCHECK=$(usex spell)
                -DENABLE_WAYLAND_TARGET=$(usex wayland)
@@ -247,7 +235,6 @@ src_configure() {
                $(cmake-utils_use_find_package opengl OpenGL)
                -DENABLE_X11_TARGET=$(usex X)
                -DENABLE_OPENGL=${opengl_enabled}
-               -DENABLE_ACCELERATED_2D_CANVAS=${canvas_enabled}
                -DCMAKE_BUILD_TYPE=Release
                -DPORT=GTK
                ${ruby_interpreter}

Reply via email to